​
Select Service
ves-io-schema-k8s_cluster-API-Get
Published April 5, 2023 | Last modified May 28, 2026
Examples of getting k8s_cluster
Usecase:
Get k8s-cluster-1 from current namespace
Request using vesctl:
vesctl configuration get k8s_cluster k8s-cluster-1 --namespace system
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: k8s-cluster-1 namespace: systemreferringObjects: []resourceVersion: "1580"spec: clusterScopedAccessDeny: {} localAccessConfig: defaultPort: {} localDomain: example.com noClusterWideApps: {} noGlobalAccess: {} noInsecureRegistries: {} useDefaultClusterRoleBindings: {} useDefaultClusterRoles: {} useDefaultPodSecurityAdmission: {} useDefaultPsp: {} vk8sNamespaceAccessDeny: {}status: []systemMetadata: creationTimestamp: "2026-04-13T01:59:42.075202Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: 57790078-af78-4099-b95f-88330fa20a00Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/system/k8s_clusters/k8s-cluster-1?response_format=0'curl response:
HTTP/1.1 200 OKContent-Length: 1295Content-Type: application/jsonDate: Mon, 13 Apr 2026 01:59:42 GMTVary: Accept-Encoding
{ "create_form": null, "replace_form": null, "resource_version": "1580", "metadata": { "name": "k8s-cluster-1", "namespace": "system", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "57790078-af78-4099-b95f-88330fa20a00", "creation_timestamp": "2026-04-13T01:59:42.075202Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "local_access_config": { "local_domain": "example.com", "default_port": {
} }, "no_global_access": {
}, "use_default_psp": {
}, "use_default_cluster_roles": {
}, "use_default_cluster_role_bindings": {
}, "no_cluster_wide_apps": {
}, "no_insecure_registries": {
}, "cluster_scoped_access_deny": {
}, "vk8s_namespace_access_deny": {
}, "use_default_pod_security_admission": {
} }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}